org.codehaus.plexus.interpolation

## Interface InterpolationPostProcessor

    public interface InterpolationPostProcessor

Used to allow full recursion of value interpolation before applying some rule to the result.

Version:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `execute(String expression, Object value)` Given the starting expression and the fully-recursively-interpolated value, perform some post-processing step and return the resulting [possibly different] value, or null if no change was made..

### Method Detail

#### execute

    Object execute(String expression,
                   Object value)

Given the starting expression and the fully-recursively-interpolated value, perform some post-processing step and return the resulting [possibly different] value, or null if no change was made..

Parameters:
  `expression` - the original expression
  `value` - the original value after fully recursive interpolation of expression
Returns:
  the processed value if a change was made; else return null